installing and testing mojomojo from git/cpan on debian 5.0.4

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

installing and testing mojomojo from git/cpan on debian 5.0.4

emilper
Hello,

after a few false starts, the planets aligned at last and I managed to
install all the dependencies.

Before the real error reports:
 - there should be a note, in the required modules list, of "aliased"
(it's hard to spot in the errors since it does not look like
Some::Module, and it is demanded by some required modules).
 - docbook-xsl (debian package name) is also required for
MojoMojo::Formatter::DocBook.

In the end I got only one mandatory test to fail:

t/c/email.t ..................... 1/14
#   Failed test 'new password emailed'
#   at t/c/email.t line 25.
#          got: '0'
#     expected: '1'
Can't call method "header" on an undefined value at t/c/email.t line 29.
# Looks like you planned 14 tests but ran 4.
# Looks like you failed 1 test of 4 run.
# Looks like your test exited with 9 just after 4.
t/c/email.t ..................... Dubious, test returned 9 (wstat 2304, 0x900)
Failed 11/14 subtests

Optional tests that failed:
 - the formatter_amazon test, when AMAZON_TOKEN was set:  Amazon
requires now a secret key besides the old token ( since version 0.55
of Net::Amazon )
 - pod coverage, but I guess the devs know about that :P


At a first glance, everything seems to work, except sending the "new
password email". I'll look into that (could be a problem with my
system) after I finish compiling a list of dependencies to install,
and the order they need to be installed.

I tried with both one of the latest CPAN versions (MojoMojo-0.999042)
and the git version downloaded today (this last one asked for a few
more optional modules).

great work :)

sincerely,
Emil Perhinschi

_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: installing and testing mojomojo from git/cpan on debian 5.0.4

dandv
Administrator
Salut,

Thanks for the post!

The Docbook is completely optional (I would delete it if you don't use
it, since that will save MM from loading it when parsing markup).

The external dependency list is maintained
http://mojomojo.org/documentation/installation#External_library_dependencies
. Feel free to add "aliased" (I'm not quite clear about that). On that
note, also delete Defang/Declaw if you notice errors with markup
rendering - see
http://github.com/marcusramberg/mojomojo/issues/#issue/60

--
Dan Dascalescu
http://wiki.dandascalescu.com

On Tue, Mar 2, 2010 at 17:58, Emil-Nicolaie Perhinschi
<[hidden email]> wrote:

> Hello,
>
> after a few false starts, the planets aligned at last and I managed to
> install all the dependencies.
>
> Before the real error reports:
>  - there should be a note, in the required modules list, of "aliased"
> (it's hard to spot in the errors since it does not look like
> Some::Module, and it is demanded by some required modules).
>  - docbook-xsl (debian package name) is also required for
> MojoMojo::Formatter::DocBook.
>
> [...]

_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
If God is good, why do 26000 children die each day?
Loading...